#include <iostream>

using namespace std;

int main(){
    int h, l, n, ind = -l;

    cin >> n >> l;

    for (int i=1; i<=n; i++){
        cin >> h;

        if (h<l){
            ind = i;
            l = -1;
        }
    }

    cout << ind << endl;
}